# OSG Geode specific test procedures.

package require tcl3d

source testUtil.tcl

P "\n>>> Test cases for osg::Geode classes <<<\n"

# Create some instances of subclasses of Drawable.
osg::Geometry g1
osg::Geometry g2

osg::DrawPixels d1

osgText::Text t1

osg::Geode geode

set retVal [geode addDrawable g1]
PN "Method addDrawable Geometry" ; P "$retVal [geode getNumDrawables]"
set retVal [geode addDrawable g2]
PN "Method addDrawable Geometry" ; P "$retVal [geode getNumDrawables]"
set retVal [geode addDrawable d1]
PN "Method addDrawable DrawPixels" ; P "$retVal [geode getNumDrawables]"
set retVal [geode addDrawable t1]
PN "Method addDrawable osgText::Text" ; P "$retVal [geode getNumDrawables]"

geode removeDrawable g1
PN "Method removeDrawable Geometry" ; P "$retVal [geode getNumDrawables]"
geode removeDrawable g2
PN "Method removeDrawable Geometry" ; P "$retVal [geode getNumDrawables]"
set retVal [geode removeDrawable d1]
PN "Method removeDrawable DrawPixels" ; P "$retVal [geode getNumDrawables]"
set retVal [geode removeDrawable t1]
PN "Method removeDrawable osgText::Text" ; P "$retVal [geode getNumDrawables]"

exit
